/// <reference types="google.maps" />
import { GoogleMap, MapInfoWindow, MapMarker } from "@angular/google-maps";
import { AddressDto } from "@smallstack/axios-api-client";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class GoogleMapsWidgetComponent extends BaseWidgetComponent {
    mapMarker: MapMarker;
    mapInfoWindow: MapInfoWindow;
    map: GoogleMap;
    geoCoder: google.maps.Geocoder;
    marker: any;
    mapCenter: google.maps.LatLngLiteral;
    address: AddressDto;
    mapOptions: google.maps.MapOptions;
    protected mapMarkerLoadingDone: boolean;
    private readonly addressDtoKeys;
    constructor();
    onOpenInfo(marker: MapMarker, mapInfo: MapInfoWindow): void;
    private createSearch;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoogleMapsWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoogleMapsWidgetComponent, "smallstack-google-maps-widget", never, {}, {}, never, never, true, never>;
}
