import { PdfExportTableHeaderRenderMode } from "@smallstack/pdf-shared";
import { LazyLoadingWidgetConfiguration } from "@smallstack/widget-core";
export interface PdfExporterListProperty {
    title: string;
    elementProperty: string;
    renderMode: PdfExportTableHeaderRenderMode;
    foreignPropertyType?: string;
}
export interface PdfExporterConfiguration {
    pdfTemplateId: string;
    contextProperty: string;
    listProperties: Array<PdfExporterListProperty>;
    fileName: string;
}
export declare const PdfExporterWidgetConfiguration: LazyLoadingWidgetConfiguration;
