import { BaseWidgetComponent, SocketAwareWidget } from "@smallstack/widget-core";
import { TextManipulationService } from "../../../services/text-manipulation.service";
import * as i0 from "@angular/core";
export declare class TextWidgetComponent extends BaseWidgetComponent implements SocketAwareWidget {
    private textManipulationService;
    replacedText: string;
    replacedNumber: number;
    constructor(textManipulationService: TextManipulationService);
    private setText;
    handleSocketData(socketName: string, data?: string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextWidgetComponent, "smallstack-text-widget", never, {}, {}, never, never, true, never>;
}
